NewStart CGSL CORE 5.04 / MAIN 5.04 : hivex Vulnerability (NS-SA-2021-0112)

medium Nessus Plugin ID 154501

Synopsis

The remote NewStart CGSL host is affected by a vulnerability.

Description

The remote NewStart CGSL host, running version CORE 5.04 / MAIN 5.04, has hivex packages installed that are affected by a vulnerability:

- A flaw was found in the hivex library in versions before 1.3.20. It is caused due to a lack of bounds check within the hivex_open function. An attacker could input a specially crafted Windows Registry (hive) file which would cause hivex to read memory beyond its normal bounds or cause the program to crash. The highest threat from this vulnerability is to system availability. (CVE-2021-3504)

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade the vulnerable CGSL hivex packages. Note that updated packages may not be available yet. Please contact ZTE for more information.

See Also

http://security.gd-linux.com/notice/NS-SA-2021-0112

http://security.gd-linux.com/info/CVE-2021-3504

Plugin Details

Severity: Medium

ID: 154501

File Name: newstart_cgsl_NS-SA-2021-0112_hivex.nasl

Version: 1.2

Type: local

Published: 10/27/2021

Updated: 10/27/2021

Risk Information

VPR

Risk Factor: Low

Score: 2.5

CVSS v2

Risk Factor: Medium

Base Score: 5.8

Temporal Score: 4.3

Vector: AV:N/AC:M/Au:N/C:P/I:N/A:P

Temporal Vector: E:U/RL:OF/RC:C

CVSS Score Source: CVE-2021-3504

CVSS v3

Risk Factor: Medium

Base Score: 5.4

Temporal Score: 4.7

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:L/I:N/A:L

Temporal Vector: E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:zte:cgsl_core:hivex, p-cpe:/a:zte:cgsl_core:hivex-debuginfo, p-cpe:/a:zte:cgsl_core:hivex-devel, p-cpe:/a:zte:cgsl_core:ocaml-hivex, p-cpe:/a:zte:cgsl_core:ocaml-hivex-devel, p-cpe:/a:zte:cgsl_core:perl-hivex, p-cpe:/a:zte:cgsl_core:python-hivex, p-cpe:/a:zte:cgsl_core:ruby-hivex, p-cpe:/a:zte:cgsl_main:hivex, p-cpe:/a:zte:cgsl_main:hivex-debuginfo, p-cpe:/a:zte:cgsl_main:hivex-devel, p-cpe:/a:zte:cgsl_main:ocaml-hivex, p-cpe:/a:zte:cgsl_main:ocaml-hivex-devel, p-cpe:/a:zte:cgsl_main:perl-hivex, p-cpe:/a:zte:cgsl_main:python-hivex, p-cpe:/a:zte:cgsl_main:ruby-hivex, cpe:/o:zte:cgsl_core:5, cpe:/o:zte:cgsl_main:5

Required KB Items: Host/local_checks_enabled, Host/ZTE-CGSL/release, Host/ZTE-CGSL/rpm-list, Host/cpu

Exploit Ease: No known exploits are available

Patch Publication Date: 9/24/2021

Vulnerability Publication Date: 5/11/2021

Reference Information

CVE: CVE-2021-3504